summaryrefslogtreecommitdiff
path: root/check-ci.sh
diff options
context:
space:
mode:
authorKyren223 <Kyren223@proton.me>2025-07-05 22:35:18 +0300
committerKyren223 <Kyren223@proton.me>2025-07-05 22:35:18 +0300
commit9199959cf46f3f300f08604d0018f47a79c7f02f (patch)
tree4a8b172acf77c7ce19b2e1966a640363c696917c /check-ci.sh
parent94ccbc282baf45d0f2e19ab127b38c71668b650f (diff)
Made check-ci.sh more user friendly
Diffstat (limited to 'check-ci.sh')
-rwxr-xr-xcheck-ci.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/check-ci.sh b/check-ci.sh
index 41d3616..2baee8a 100755
--- a/check-ci.sh
+++ b/check-ci.sh
@@ -1,6 +1,12 @@
#!/usr/bin/env bash
+set -e
+
+trap 'echo "❌ Check failed"; exit 1' ERR
+
test -z "$(go fmt ./...)"
staticcheck ./...
go test --cover ./...
gosec ./...
+
+echo "✅ All checks passed"